Subject: Re: [Fwd: [Devuan-bugs] bug#261 eudev: System with encrypted root fs and swap fails to shutdown cleanly]

From: Svante Signell <[email-masked]>
Date: Thu, 30 Jan 2020 11:48:33 +0100

On Wed, 2020-01-29 at 15:15 -0800, Tom wrote:
> On Tue, 28 Jan 2020 13:06:14 +0100
> Svante Signell <[email-masked]> wrote:
> 
> > Package: eudev
> > Version: 3.2.2-13
> > tags 261 moreinfo
> > 
> > Please check if the problems remains with eudev-3.2.9-4. And do
> > also check the Debian bugs, fixes and information for udev and
> > cryptsetup e.g.: 
> > https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=791944
> > https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=720340

> I don't see that a backport exists for ASCII for eudev version 3.2.9-
> 4. Only 3.2.2-13. Are you asking me to create a backport by hand or
> did you already have something to test in mind?

Since 3.2.9-4 is only available in ceres/unstable yet I propose that
you download eudev=3.2.9-4 libeudev1=3.2.9-4 from unstable and install
them by dpkg -i ..., do shutdown/reboot tests, and report back.

Please do also read the above Debian bugs on cryptsetup problems and
fixes. I don't have any box with an encrypted partition so I cannot
test.

Thanks!